Package kiyut.sketsa.windows.canvas

## Class DefaultNavigator.NavigatorMouseListener

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.event.MouseInputAdapter
    - - kiyut.sketsa.windows.canvas.DefaultNavigator.NavigatorMouseListener

- All Implemented Interfaces:
    `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`, `MouseInputListener`
  Enclosing class:
    DefaultNavigator

      protected class DefaultNavigator.NavigatorMouseListener
      extends MouseInputAdapter

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `in` |
    `protected AffineTransform` | `invAt` |
    `protected int` | `tx` |
    `protected int` | `ty` |
    `protected int` | `x` |
    `protected int` | `y` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `NavigatorMouseListener()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `mouseDragged​(MouseEvent evt)` |
    `void` | `mousePressed​(MouseEvent evt)` |
    `void` | `mouseReleased​(MouseEvent evt)` |

    - ### Methods inherited from class java.awt.event.MouseAdapter

      `mouseClicked, mouseEntered, mouseExited, mouseMoved, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.event.MouseListener

      `mouseClicked, mouseEntered, mouseExited`

    - ### Methods inherited from interface java.awt.event.MouseMotionListener

      `mouseMoved`

- - ### Field Detail

    - #### x

          protected int x

    - #### y

          protected int y

    - #### tx

          protected int tx

    - #### ty

          protected int ty

    - #### in

          protected boolean in

    - #### invAt

          protected AffineTransform invAt

  - ### Constructor Detail

    - #### NavigatorMouseListener

          protected NavigatorMouseListener()

  - ### Method Detail

    - #### mousePressed

          public void mousePressed​(MouseEvent evt)

      Specified by:
        `mousePressed` in interface `MouseListener`
      Overrides:
        `mousePressed` in class `MouseAdapter`

    - #### mouseDragged

          public void mouseDragged​(MouseEvent evt)

      Specified by:
        `mouseDragged` in interface `MouseMotionListener`
      Overrides:
        `mouseDragged` in class `MouseAdapter`

    - #### mouseReleased

          public void mouseReleased​(MouseEvent evt)

      Specified by:
        `mouseReleased` in interface `MouseListener`
      Overrides:
        `mouseReleased` in class `MouseAdapter`